<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.xhkjedu.smarking.mapper.report.reportclass.MsrClassSubjectGradeMapper">

    <!--综合报告-试题汇总表-全部班级-科目情况-四率等级分析-->
    <select id="listSubjectGrade" resultType="java.util.Map">
        select csgid,rangename,rangenum,rangerate,djscore,djrate from msr_class_subject_grade where examid = #{sg.examid} and subjectid = #{sg.subjectid}
        and reportcode = #{sg.reportcode} and classid = #{sg.classid}
    </select>
    <!--综合报告-班级对比-全科及格率分析-->
    <select id="listSubjectGradeForQk" resultType="com.xhkjedu.smarking.model.report.reportclass.MsrClassSubjectGrade">
        select subjectid,rangename,stuids
        from msr_class_subject_grade
        where examid = #{examid} and classid = 0 and reportcode = #{reportcode}
    </select>
    <!--综合报告-整体四率分析-->
    <select id="getZfScoreRate" resultType="java.util.Map">
        select rangename,rangenum,rangerate
        from msr_class_subject_grade
        where examid = #{examid} and reportcode = 'zh' and classid = 0 and subjectid = 'zf'
    </select>

</mapper>

